## BtIcRegistry BtIcRegistry — buzztards interaction controller registry |

## Synopsis

    #include <libbtic/ic.h>

                        BtIcRegistry;
    BtIcRegistry *      btic_registry_new                   (void);

## Object Hierarchy

      GObject
       +----BtIcRegistry

## Properties

      "devices"                  gpointer              : Read

## Description

Manages a dynamic list of controller devices. It uses HAL and dbus.

## Details

### BtIcRegistry

    typedef struct _BtIcRegistry BtIcRegistry;

buzztards interaction controller registry

### btic_registry_new ()

    BtIcRegistry *      btic_registry_new                   (void);

Create a new instance

Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"devices"` property

      "devices"                  gpointer              : Read

A copy of the list of control devices.